CREATE TABLE CRST_GL_HIST_RATE_RANGES
(
  HISTORICAL_RANGE_ID  NUMBER(15)               NOT NULL,
  SET_OF_BOOKS_ID      NUMBER(15)               NOT NULL,
  TARGET_CURRENCY      VARCHAR2(15 BYTE)        NOT NULL,
  PERIOD_NAME          VARCHAR2(15 BYTE)        NOT NULL,
  LAST_UPDATE_DATE     DATE                     NOT NULL,
  LAST_UPDATED_BY      NUMBER(15)               NOT NULL,
  TRANSLATED_RATE      NUMBER,
  TRANSLATED_AMOUNT    NUMBER,
  STATUS               VARCHAR2(1 BYTE),
  CREATION_DATE        DATE,
  CREATED_BY           NUMBER(15),
  LAST_UPDATE_LOGIN    NUMBER(15),
  SEGMENT1_LOW         VARCHAR2(25 BYTE),
  SEGMENT1_HIGH        VARCHAR2(25 BYTE),
  SEGMENT2_LOW         VARCHAR2(25 BYTE),
  SEGMENT2_HIGH        VARCHAR2(25 BYTE),
  SEGMENT3_LOW         VARCHAR2(25 BYTE),
  SEGMENT3_HIGH        VARCHAR2(25 BYTE),
  SEGMENT4_LOW         VARCHAR2(25 BYTE),
  SEGMENT4_HIGH        VARCHAR2(25 BYTE),
  SEGMENT5_LOW         VARCHAR2(25 BYTE),
  SEGMENT5_HIGH        VARCHAR2(25 BYTE),
  SEGMENT6_LOW         VARCHAR2(25 BYTE),
  SEGMENT6_HIGH        VARCHAR2(25 BYTE),
  SEGMENT7_LOW         VARCHAR2(25 BYTE),
  SEGMENT7_HIGH        VARCHAR2(25 BYTE),
  SEGMENT8_LOW         VARCHAR2(25 BYTE),
  SEGMENT8_HIGH        VARCHAR2(25 BYTE),
  SEGMENT9_LOW         VARCHAR2(25 BYTE),
  SEGMENT9_HIGH        VARCHAR2(25 BYTE),
  SEGMENT10_LOW        VARCHAR2(25 BYTE),
  SEGMENT10_HIGH       VARCHAR2(25 BYTE),
  SEGMENT11_LOW        VARCHAR2(25 BYTE),
  SEGMENT11_HIGH       VARCHAR2(25 BYTE),
  SEGMENT12_LOW        VARCHAR2(25 BYTE),
  SEGMENT12_HIGH       VARCHAR2(25 BYTE),
  SEGMENT13_LOW        VARCHAR2(25 BYTE),
  SEGMENT13_HIGH       VARCHAR2(25 BYTE),
  SEGMENT14_LOW        VARCHAR2(25 BYTE),
  SEGMENT14_HIGH       VARCHAR2(25 BYTE),
  SEGMENT15_LOW        VARCHAR2(25 BYTE),
  SEGMENT15_HIGH       VARCHAR2(25 BYTE),
  SEGMENT16_LOW        VARCHAR2(25 BYTE),
  SEGMENT16_HIGH       VARCHAR2(25 BYTE),
  SEGMENT17_LOW        VARCHAR2(25 BYTE),
  SEGMENT17_HIGH       VARCHAR2(25 BYTE),
  SEGMENT18_LOW        VARCHAR2(25 BYTE),
  SEGMENT18_HIGH       VARCHAR2(25 BYTE),
  SEGMENT19_LOW        VARCHAR2(25 BYTE),
  SEGMENT19_HIGH       VARCHAR2(25 BYTE),
  SEGMENT20_LOW        VARCHAR2(25 BYTE),
  SEGMENT20_HIGH       VARCHAR2(25 BYTE),
  SEGMENT21_LOW        VARCHAR2(25 BYTE),
  SEGMENT21_HIGH       VARCHAR2(25 BYTE),
  SEGMENT22_LOW        VARCHAR2(25 BYTE),
  SEGMENT22_HIGH       VARCHAR2(25 BYTE),
  SEGMENT23_LOW        VARCHAR2(25 BYTE),
  SEGMENT23_HIGH       VARCHAR2(25 BYTE),
  SEGMENT24_LOW        VARCHAR2(25 BYTE),
  SEGMENT24_HIGH       VARCHAR2(25 BYTE),
  SEGMENT25_LOW        VARCHAR2(25 BYTE),
  SEGMENT25_HIGH       VARCHAR2(25 BYTE),
  SEGMENT26_LOW        VARCHAR2(25 BYTE),
  SEGMENT26_HIGH       VARCHAR2(25 BYTE),
  SEGMENT27_LOW        VARCHAR2(25 BYTE),
  SEGMENT27_HIGH       VARCHAR2(25 BYTE),
  SEGMENT28_LOW        VARCHAR2(25 BYTE),
  SEGMENT28_HIGH       VARCHAR2(25 BYTE),
  SEGMENT29_LOW        VARCHAR2(25 BYTE),
  SEGMENT29_HIGH       VARCHAR2(25 BYTE),
  SEGMENT30_LOW        VARCHAR2(25 BYTE),
  SEGMENT30_HIGH       VARCHAR2(25 BYTE),
  DUMMY                CHAR(1),
  LAST_UPDATED_NAME    VARCHAR2(100),
  CREATED_NAME         VARCHAR2(100),
  SOB_SHORT_NAME       VARCHAR2(100)
);
